Zur Navigation | Zum Inhalt
plus minus reset

News

JakPod 2.84 released! Suffle Playlists, export Playlists and export Tracks to a file. Some minor fixes. (Changelog).

     
 

Create PDF Email Print

Does JakPod support newer iPods (Classic, iPhone, Nano...)?

Author:
Administrator
Date added:
Wednesday, 25 February 2009
Last revised:
Monday, 26 March 2012
Hits:
15826

Answer

Question:
I learned that newer iPod models cannot be used with free software. JakPod shows 0 tracks after synchronising with the iPod and iTunes doesn't recognize the device anymore. Does JakPod support those new iPod models?

Answer:
It does, starting with version 0.84 (Beta 1). However, you have to make sure that a file called "SysInfoExtended" exists in the directory "iPod_Control/Device". It must contain the correct "FirewireGuid". If no such file exists, you can use a tool called DeviceInfoWriter to create it. Unfortunately, there's only a Windows version available, which is based on the .NET framework. You only have to use it once, in order to create the appropriate files. Remember to do this again after restoring an iPod, as this will remove the sysinfo stuff.

Attention! JakPod does work with iPhones (until 3G), iPod touchs (until 2nd generation) since version 2.0 but only on LINUX machines! After putting or deleting tracks from these devices they have to be restarted in order to show the changes made. Until now i couldn't test iPod Nanos of 6 generation at all.

 
     
Free Joomla! Templates provided by funky-visions.de